#include <stdio.h>

int main() {
    int N, L, indeks = -1;
    
    scanf("%d %d", &N, &L);
    
    int H[N];
    
    unsigned i;
    for(i = 0; i < N; i++) {
        scanf("%d", &H[i]);
    };
    
    for(i = 0; i < N; i++) {
        if( L >= H[i] ) {
            indeks = i + 1;
            break;
        };
    };
    
    printf("%d", indeks);
}